<?xml version="1.0"?>
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#filter substitution

<?xml-stylesheet href="chrome://messenger/skin/messageWindow.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/popupPanel.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/messageHeader.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/icons.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/colors.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/folderMenus.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/attachmentList.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/searchBox.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/panelUI.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/contextMenu.css" type="text/css"?>
<?xml-stylesheet href="chrome://calendar/skin/calendar.css" type="text/css"?>
<?xml-stylesheet href="chrome://calendar/skin/calendar-toolbar.css" type="text/css"?>
<?xml-stylesheet href="chrome://calendar/skin/shared/calendar-invitation-display.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/openpgp/inlineNotification.css" type="text/css"?>

<!DOCTYPE html [
<!ENTITY % brandDTD SYSTEM "chrome://branding/locale/brand.dtd" >
%brandDTD;
<!ENTITY % msgHdrViewOverlayDTD SYSTEM "chrome://messenger/locale/msgHdrViewOverlay.dtd">
%msgHdrViewOverlayDTD;
<!ENTITY % messengerDTD SYSTEM "chrome://messenger/locale/messenger.dtd" >
%messengerDTD;
<!ENTITY % editContactOverlayDTD SYSTEM "chrome://messenger/locale/editContactOverlay.dtd">
%editContactOverlayDTD;
<!ENTITY % customizeToolbarDTD SYSTEM "chrome://messenger/locale/customizeToolbar.dtd">
%customizeToolbarDTD;
<!ENTITY % utilityDTD SYSTEM "chrome://communicator/locale/utilityOverlay.dtd">
%utilityDTD;
<!ENTITY % msgViewPickerDTD SYSTEM "chrome://messenger/locale/msgViewPickerOverlay.dtd" >
%msgViewPickerDTD;
<!ENTITY % baseMenuOverlayDTD SYSTEM "chrome://messenger/locale/baseMenuOverlay.dtd">
%baseMenuOverlayDTD;
<!ENTITY % utilityDTD SYSTEM "chrome://communicator/locale/utilityOverlay.dtd">
%utilityDTD;
<!ENTITY % viewZoomOverlayDTD SYSTEM "chrome://messenger/locale/viewZoomOverlay.dtd">
%viewZoomOverlayDTD;
<!ENTITY % quickFilterBarDTD SYSTEM "chrome://messenger/locale/quickFilterBar.dtd">
%quickFilterBarDTD;
<!ENTITY % msgViewPickerDTD SYSTEM "chrome://messenger/locale/msgViewPickerOverlay.dtd" >
%msgViewPickerDTD;
<!ENTITY % lightningDTD SYSTEM "chrome://lightning/locale/lightning.dtd">
%lightningDTD;
<!ENTITY % calendarDTD SYSTEM "chrome://calendar/locale/calendar.dtd" >
%calendarDTD;
<!ENTITY % calendarMenuOverlayDTD SYSTEM "chrome://calendar/locale/menuOverlay.dtd" >
%calendarMenuOverlayDTD;
<!ENTITY % toolbarDTD SYSTEM "chrome://lightning/locale/lightning-toolbar.dtd">
%toolbarDTD;
<!ENTITY % eventDialogDTD SYSTEM "chrome://calendar/locale/calendar-event-dialog.dtd" >
%eventDialogDTD;
<!ENTITY % smimeDTD SYSTEM "chrome://messenger-smime/locale/msgReadSecurityInfo.dtd">
%smimeDTD;
]>

<!--
  - This window displays a single message.
  -->
<html id="messengerWindow" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:xul="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
      xmlns:html="http://www.w3.org/1999/xhtml"
      icon="messengerWindow"
      scrolling="false"
      titlemodifier="&titledefault.label;@PRE_RELEASE_SUFFIX@"
      titlemenuseparator="&titleSeparator.label;"
      persist="width height screenX screenY sizemode"
      toggletoolbar="true"
      windowtype="mail:messageWindow"
#ifdef XP_MACOSX
      macanimationtype="document"
      chromemargin="0,-1,-1,-1"
#endif
      lightweightthemes="true"
      fullscreenbutton="true">
<head>
  <title>&titledefault.label;@PRE_RELEASE_SUFFIX@</title>
  <link rel="localization" href="messenger/messenger.ftl" />
  <link rel="localization" href="toolkit/main-window/findbar.ftl" />
  <link rel="localization" href="toolkit/global/textActions.ftl" />
  <link rel="localization" href="toolkit/printing/printUI.ftl" />
  <link rel="localization" href="messenger/menubar.ftl" />
  <link rel="localization" href="messenger/appmenu.ftl" />
  <link rel="localization" href="calendar/calendar-invitation-panel.ftl" />
  <link rel="localization" href="messenger/openpgp/openpgp.ftl" />
  <link rel="localization" href="messenger/openpgp/openpgp-frontend.ftl" />
  <link rel="localization" href="messenger/openpgp/msgReadStatus.ftl" />
  <link rel="localization" href="messenger/messageheader/headerFields.ftl" />

  <script defer="defer" src="chrome://global/content/globalOverlay.js"></script>
  <script defer="defer" src="chrome://messenger/content/commandglue.js"></script>
  <script defer="defer" src="chrome://messenger/content/folderDisplay.js"></script>
  <script defer="defer" src="chrome://messenger/content/messageDisplay.js"></script>
  <script defer="defer" src="chrome://messenger/content/mailWindow.js"></script>
  <script defer="defer" src="chrome://messenger/content/messageWindow.js"></script>
  <script defer="defer" src="chrome://messenger/content/accountUtils.js"></script>
  <script defer="defer" src="chrome://global/content/contentAreaUtils.js"></script>
  <script defer="defer" src="chrome://messenger/content/nsContextMenu.js"></script>
  <script defer="defer" src="chrome://messenger/content/mailContextMenus.js"></script>
  <script defer="defer" src="chrome://communicator/content/contentAreaClick.js"></script>
  <script defer="defer" src="chrome://messenger/content/msgViewNavigation.js"></script>
  <script defer="defer" src="chrome://messenger/content/editContactPanel.js"></script>
  <script defer="defer" src="chrome://messenger/content/toolbarIconColor.js"></script>
  <script defer="defer" src="chrome://messenger/content/header-fields.js"></script>
  <script defer="defer" src="chrome://messenger/content/msgHdrView.js"></script>
  <script defer="defer" src="chrome://messenger-smime/content/msgHdrViewSMIMEOverlay.js"></script>
  <script defer="defer" src="chrome://messenger-smime/content/msgReadSMIMEOverlay.js"></script>
  <script defer="defer" src="chrome://openpgp/content/ui/enigmailMessengerOverlay.js"></script>
  <script defer="defer" src="chrome://openpgp/content/ui/enigmailMsgHdrViewOverlay.js"></script>
  <script defer="defer" src="chrome://messenger/content/msgSecurityPane.js"></script>
  <script defer="defer" src="chrome://messenger/content/mailCommands.js"></script>
  <script defer="defer" src="chrome://messenger/content/junkCommands.js"></script>
  <script defer="defer" src="chrome://messenger/content/mailWindowOverlay.js"></script>
  <script defer="defer" src="chrome://messenger/content/mailTabs.js"></script>
  <script defer="defer" src="chrome://messenger-newsblog/content/newsblogOverlay.js"></script>
  <script defer="defer" src="chrome://messenger/content/mail-offline.js"></script>
  <script defer="defer" src="chrome://messenger/content/msgViewPickerOverlay.js"></script>
  <script defer="defer" src="chrome://messenger/content/viewZoomOverlay.js"></script>
  <script defer="defer" src="chrome://communicator/content/utilityOverlay.js"></script>
  <script defer="defer" src="chrome://messenger/content/mailCore.js"></script>
  <script defer="defer" src="chrome://messenger/content/quickFilterBar.js"></script>
  <script defer="defer" src="chrome://messenger/content/panelUI.js"></script>
  <script defer="defer" src="chrome://messenger/content/chat/toolbarbutton-badge-button.js"></script>
  <script defer="defer" src="chrome://messenger/content/messenger-customization.js"></script>
#ifdef XP_MACOSX
  <script defer="defer" src="chrome://global/content/macWindowMenu.js"></script>
#endif
  <script defer="defer" src="chrome://messenger/content/newmailaccount/uriListener.js"></script>
  <script defer="defer" src="chrome://messenger/content/customizable-toolbar.js"></script>
  <script defer="defer" src="chrome://calendar/content/calendar-statusbar.js"></script>
  <script defer="defer" src="chrome://calendar/content/calendar-item-editing.js"></script>
  <script defer="defer" src="chrome://calendar/content/calendar-modes.js"></script>
  <script defer="defer" src="chrome://calendar/content/calendar-chrome-startup.js"></script>
  <script defer="defer" src="chrome://calendar/content/imip-bar.js"></script>
  <script defer="defer" src="chrome://calendar/content/calendar-invitation-display.js"></script>
  <script defer="defer" src="chrome://calendar/content/widgets/calendar-invitation-panel.js"></script>
  <script defer="defer" src="chrome://calendar/content/calendar-management.js"></script>
  <script defer="defer" src="chrome://calendar/content/calendar-ui-utils.js"></script>
  <script>
    // FIXME: move to script file.
    window.addEventListener("load", event => { OnLoadMessageWindow() });
    window.addEventListener("unload", event => { OnUnloadMessageWindow() });
  </script>
</head>
<html:body xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

  <stringbundle id="bundle_brand" src="chrome://branding/locale/brand.properties"/>
  <stringbundle id="bundle_messenger" src="chrome://messenger/locale/messenger.properties"/>

  <commandset id="mailCommands">
#include mainCommandSet.inc.xhtml
    <commandset id="mailSearchMenuItems"/>
    <commandset id="attachmentCommands">
      <command id="cmd_openAllAttachments"
               oncommand="goDoCommand('cmd_openAllAttachments');"
               disabled="true"/>
      <command id="cmd_saveAllAttachments"
               oncommand="goDoCommand('cmd_saveAllAttachments');"
               disabled="true"/>
      <command id="cmd_detachAllAttachments"
               oncommand="goDoCommand('cmd_detachAllAttachments');"
               disabled="true"/>
      <command id="cmd_deleteAllAttachments"
               oncommand="goDoCommand('cmd_deleteAllAttachments');"
               disabled="true"/>
    </commandset>
    <commandset id="tasksCommands">
      <command id="cmd_newMessage" oncommand="goOpenNewMessage();"/>
      <command id="cmd_newCard" oncommand="openNewCardDialog()"/>
    </commandset>
    <commandset id="commandKeys"/>
    <command id="cmd_close" oncommand="window.close();"/>
  </commandset>

  <keyset id="mailKeys">
    <key keycode="VK_ESCAPE" oncommand="window.close();"/>
#include mainKeySet.inc.xhtml
    <keyset id="tasksKeys">
#ifdef XP_MACOSX
      <key id="key_newMessage" key="&newMessageCmd.key;" command="cmd_newMessage"
           modifiers="accel,shift"/>
      <key id="key_newMessage2" key="&newMessageCmd2.key;" command="cmd_newMessage"
           modifiers="accel"/>
#else
      <key id="key_newMessage"  key="&newMessageCmd.key;" command="cmd_newMessage"
           modifiers="accel"/>
      <key id="key_newMessage2" key="&newMessageCmd2.key;" command="cmd_newMessage"
           modifiers="accel"/>
#endif
    </keyset>
  </keyset>

  <!-- Popup menus provided by mailWindowOverlay.xhtml -->
  <popupset id="mainPopupSet">
#include mainPopupSet.inc.xhtml

<!-- The panelUI is for the appmenu. -->
#include ../../components/customizableui/content/panelUI.inc.xhtml

#include msgHdrPopup.inc.xhtml
  </popupset>
#include editContactPanel.inc.xhtml

  <toolbox id="mail-toolbox"
           class="mail-toolbox"
           mode="full"
           defaultmode="full"
#ifdef XP_MACOSX
           iconsize="small"
           defaulticonsize="small"
#endif
           labelalign="end"
           defaultlabelalign="end">
#ifdef XP_MACOSX
    <hbox id="titlebar">
      <hbox id="titlebar-title" align="center" flex="1">
        <label id="titlebar-title-label" value="&titledefault.label;" flex="1" crop="end"/>
      </hbox>
#include messenger-titlebar-items.inc.xhtml
    </hbox>
#endif
    <!-- Menu -->
    <toolbar is="customizable-toolbar" id="toolbar-menubar"
             class="chromeclass-menubar themeable-full"
             type="menubar"
             customizable="true"
             toolboxid="mail-toolbox"
#ifdef XP_MACOSX
             defaultset="menubar-items"
             autohide="true"
#else
             defaultset="menubar-items,spring"
#endif
#ifndef XP_MACOSX
             data-l10n-id="toolbar-context-menu-menu-bar"
             data-l10n-attrs="toolbarname"
#endif
             context="toolbar-context-menu"
             mode="icons"
             insertbefore="tabs-toolbar"
             prependmenuitem="true">
      <toolbaritem id="menubar-items" align="center">
# The entire main menubar is placed into messenger-menubar.inc.xhtml, so that it
# can be shared with other top level windows.
#include messenger-menubar.inc.xhtml
      </toolbaritem>
    </toolbar>
    <!-- mail-toolbox with the main toolbarbuttons -->
#include mainMailToolbar.inc.xhtml
  </toolbox>

  <vbox class="printPreviewStack" flex="1">

    <tooltip id="aHTMLTooltip" page="true"/>

    <!-- msg header view -->
    <!-- a convenience box for ease of extension overlaying -->
    <hbox id="messagepaneboxwrapper" flex="1">
      <vbox id="messagepanebox" flex="3"
            ondragover="messagepaneObserver.onDragOver(event);"
            ondrop="messagepaneObserver.onDrop(event);"
            ondragleave="messagepaneObserver.onDragLeave(event);">
        <vbox id="singleMessage">
          <hbox id="msgHeaderView" collapsed="true" class="main-header-area">
#include msgHdrView.inc.xhtml
          </hbox>
#include ../../../calendar/base/content/imip-bar-overlay.inc.xhtml
        </vbox>
        <!-- The msgNotificationBar appears on top of the message and displays
             information like: junk, mdn, remote content and phishing warnings -->
        <vbox id="mail-notification-top">
          <!-- notificationbox will be added here lazily. -->
        </vbox>

#include ../../../calendar/base/content/widgets/calendar-invitation-panel.xhtml
#include ../../../calendar/base/content/widgets/calendar-minidate.xhtml

        <!-- The calendar invitation panel is displayed here. -->
        <html:div id="calendarInvitationDisplay" hidden="hidden"></html:div>

        <!-- message view -->
        <browser id="messagepane"
                 context="mailContext"
                 tooltip="aHTMLTooltip"
                 style="height: 0px; min-height: 1px"
                 flex="1"
                 name="messagepane"
                 disablesecurity="true"
                 disablehistory="true"
                 type="content"
                 primary="true"
                 autofind="false"
                 src="about:blank"
                 messagemanagergroup="single-page"
                 onclick="return contentAreaClick(event);"
                 onresize="return messagePaneOnResize(event);"/>
        <splitter id="attachment-splitter" collapse="after" resizebefore="closest" resizeafter="closest" collapsed="true"/>
        <vbox id="attachmentView" collapsed="true">
#include msgAttachmentView.inc.xhtml
        </vbox>
        <findbar id="FindToolbar" browserid="messagepane"/>
      </vbox>
#include msgSecurityPane.inc.xhtml
    </hbox>
  </vbox>
  <panel id="customizeToolbarSheetPopup" noautohide="true">
    <iframe id="customizeToolbarSheetIFrame"
            style="&dialog.dimensions;"
            hidden="true"/>
  </panel>

  <hbox id="status-bar" class="statusbar chromeclass-status" role="status">
#include mainStatusbar.inc.xhtml
  </hbox>

#include tabDialogs.inc.xhtml
</html:body>
</html>
